Package wx :: Class TextDropTarget

[frames | no frames]

## Type TextDropTarget

    object --+
             |
    DropTarget --+
                 |
                TextDropTarget

Proxy of C++ TextDropTarget class

Method Summary
TextDropTarget | `__init__(self)`
| ``base_OnData`(*args, **kwargs)` Please use TextDropTarget.OnData instead.
| ``base_OnDragOver`(*args, **kwargs)` Please use TextDropTarget.OnDragOver instead.
| ``base_OnDrop`(*args, **kwargs)` Please use TextDropTarget.OnDrop instead.
| ``base_OnDropText`(*args, **kwargs)` Please use TextDropTarget.OnDropText instead.
| ``base_OnEnter`(*args, **kwargs)` Please use TextDropTarget.OnEnter instead.
| ``base_OnLeave`(*args, **kwargs)` Please use TextDropTarget.OnLeave instead.
int | `OnData(self, x, y, def)`
int | `OnDragOver(self, x, y, def)`
bool | `OnDrop(self, x, y)`
bool | `OnDropText(self, x, y, text)`
int | `OnEnter(self, x, y, def)`
| `OnLeave(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### base_OnData(*args, **kwargs)

Please use TextDropTarget.OnData instead.

### base_OnDragOver(*args, **kwargs)

Please use TextDropTarget.OnDragOver instead.

### base_OnDrop(*args, **kwargs)

Please use TextDropTarget.OnDrop instead.

### base_OnDropText(*args, **kwargs)

Please use TextDropTarget.OnDropText instead.

### base_OnEnter(*args, **kwargs)

Please use TextDropTarget.OnEnter instead.

### base_OnLeave(*args, **kwargs)

Please use TextDropTarget.OnLeave instead.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:12 2007 | http://epydoc.sf.net